it-swarm-ja.com

Ubuntuでgstreamerの依存関係を解決するにはどうすればよいですか

Ubuntuへのこれらの依存関係をどのように解決できるか教えてください:

checking for GSTREAMER... configure: error: Package requirements (gstreamer-0.10 >= 0.10
                     gstreamer-app-0.10
                     gstreamer-base-0.10
                     gstreamer-pbutils-0.10
                     gstreamer-plugins-base-0.10 >= 0.10.25
                     gstreamer-video-0.10) were not met:

No package 'gstreamer-app-0.10' found
No package 'gstreamer-pbutils-0.10' found
No package 'gstreamer-plugins-base-0.10' found
No package 'gstreamer-video-0.10' found

私が試してみました:

$ Sudo apt-get install *gstreamer-video*
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Regex compilation error - Invalid preceding regular expression
$ Sudo apt-get install *gstreamer-app*
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Regex compilation error - Invalid preceding regular expression
$ Sudo apt-get install *gstreamer-base*
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Regex compilation error - Invalid preceding regular expression
26
michael
 $ apt-get install  libgstreamer0.10-devlibgstreamer-plugins-base0.10-dev

packages.ubuntu.com のパッケージコンテンツでgstreamer-app-0.10.pcを検索するか、apt-file searchを使用して検索するか、auto-apt run

53
ephemient

試す

apt-get install libgstreamer*
1
armandino

私は「$ apt-get install libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev」を試しました

しかし、それは今言った:

Requested 'gstreamer-plugins-base-0.10 >= 0.10.25' but version of GStreamer Base Plugins Libraries is 0.10.18
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GSTREAMER_CFLAGS
and GSTREAMER_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

/ home/michael/bin(./configure --prefix-/home/michael/bin)にgstreamerをダウンロードして「インストール」します。

そして私は設定しました

$ echo $PKG_CONFIG_PATH
/home/novarra/bin/lib/pkgconfig
$ echo $GSTREAMER_LIBS
/home/scheung/bin/lib/pkconfig

そして./autogen.sh --enable-debugを再実行します

私は同じ「リクエストされた「gstreamer-plugins-base-0.10> = 0.10.25」を取得するように設定しましたが、GStreamer Base Plugins Librariesのバージョンは0.10.18です」

0
michael